Package org.apache.lucene.search.spell

# Record Class CombineSuggestion

java.lang.Object
java.lang.Record
org.apache.lucene.search.spell.CombineSuggestion

Record Components:
  `suggestion` - The word combination suggestion
  `originalTermIndexes` - The indexes from the passed-in array of terms used to make this word combination

public record CombineSuggestion(SuggestWord suggestion, int[] originalTermIndexes) extends Record
A suggestion generated by combining one or more original query terms

## Constructor Summary

Constructors
Constructor
Description
`CombineSuggestion(SuggestWord suggestion, int[] originalTermIndexes)`
Creates an instance of a `CombineSuggestion` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`int[]`
`originalTermIndexes()`
Returns the value of the `originalTermIndexes` record component.
`SuggestWord`
`suggestion()`
Returns the value of the `suggestion` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CombineSuggestion

public CombineSuggestion(SuggestWord suggestion, int[] originalTermIndexes)
Creates an instance of a `CombineSuggestion` record class.

Parameters:
  `suggestion` - the value for the `suggestion` record component
  `originalTermIndexes` - the value for the `originalTermIndexes` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### suggestion

public SuggestWord suggestion()
Returns the value of the `suggestion` record component.

Returns:
  the value of the `suggestion` record component

### originalTermIndexes

public int[] originalTermIndexes()
Returns the value of the `originalTermIndexes` record component.

Returns:
  the value of the `originalTermIndexes` record component